//CGfxIngameRenderer - [2020-04-13 11:57:46]
#ifndef _CGFXINGAMERENDERER_H_
#define _CGFXINGAMERENDERER_H_

#include "common.h"
#include "render.h"

/*
0018A52C CGfxIngameRenderer::ApplyScissor(float,float)
0018A4A0 CGfxIngameRenderer::RenderScene(EGfxRenderPass)

.data.rel.ro:003231DC _ZTV18CGfxIngameRenderer:.long 0
.data.rel.ro:003231E4 CGfxIngameRenderer::RenderScene(EGfxRenderPass)
.data.rel.ro:003231E8 CGfxIngameRenderer::ApplyScissor(float,float)

*/

class CGfxIngameRenderer {
public:
  virtual void RenderScene(EGfxRenderPass);  // 0018A4A0
  virtual void ApplyScissor(float, float);   // 0018A52C
};

#endif  //_CGFXINGAMERENDERER_H_